Bug 129330 - JUnit view does not take focus when run
JUnit view does not take focus when run
Status: NEW
Product: Red Hat Developer Suite
Classification: Retired
Component: JDT (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
Depends On:
  Show dependency treegraph
Reported: 2004-08-06 11:37 EDT by Jeff Pound
Modified: 2012-04-30 23:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Pound 2004-08-06 11:37:19 EDT
Description of problem:
when running a junit test (test_junit from JDT test plan), JUnit view
opens but does not take focus (stays behind Package explorer)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open a JUnit project (ex. test_junit from
2. Run JUnit test
Actual results:
JUnit view opens but does not take focus (stays behind package explorer)

Expected results:
JUnit view should take focus (or at least be in forground if not in focus)

Additional info:
Same results for IBM and BEA JVMs on x86, ia64 and PPC
Comment 1 Jeff Pound 2004-08-10 15:47:03 EDT
JUnit view only stays hidden if it appears behind a window that has
focus. (ex. if your editor has focus the junit window will open in the
forground. If your package explorer has focus, the junit window opens
in the background)

Note You need to log in before you can comment on or make changes to this bug.